Issue Description

Unable to deploy a workflow from K2 Designer or K2 Package and Deployment after installing .NET Framework 4.7.1. The K2 Server stops and an error is displayed.

Error Message

The error message states: “An existing connection was forcibly closed by the remote host”.

Resolution

  1. Ensure you have K2 4.7 installed.
  2. Download and install the K2 4.7 November 2017 Cumulative Update from K2 Partner and Customer Portal.
  3. Get the K2 4.7 November 2017 Cumulative Update FP5 from Regional Support.
  4. Install the K2 4.7 November 2017 Cumulative Update FP5 to apply the fix.